<?

/*************************************************************************\
 
  Paul Gareau - paul@xhawk.net
  Copyright (C) 2001 - Paul Gareau
 
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
 
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
 
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 
\*************************************************************************/

// if you use cookies, you need output buffering!
ob_start();

// include discussion class
include_once 'include/discussion.class.php';

echo '<html>';
echo '<head><title>discussion</title></head>';
echo '<body>';

$d1 = new Discussion;
// or:
// $d1 = new Discussion($table_name, $board_id, $use_cookies);
// $d1 = new Discussion('board', 2, 1);

print "\n\n<!-- discussion ver. $d1->version -->\n\n";

if($post) {
  if(! $d1->addPost($parent_id, $thread_id, $name, $email, $subject, $body)) {
    print $d1->error();
  }
}

if($d1->admin && $delete) {
  if(! $d1->deletePost($delete)) {
    print $d1->error();
  }
}

if($show=='form') {
  print $d1->formHTML();
} else {
  if($view) {
    $post_html = $d1->getPost($view);

    if($post_html) {
      print $post_html;
      print $d1->formHTML();
    } else {
      print $d1->error();
    }
  } else {
    print $d1->addNewLinkHTML(); // or: show_add_new_link('my text')
    print $d1->getTopics($offset);
  }
}

print "\n\n<!-- end of discussion -->\n\n";

echo '</body>';
echo '</html>';

// flush buffer
ob_end_flush();
?>
